Cyberduck Mountain Duck CLI

#7672 closed defect (fixed)

Interoperability with Zope

Reported by: taenzerme Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: ftp Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hello,

I recently wanted to switch back to Cyberduck from Forklift but noticed that file uploads with ZOPE ftp server are broken. Reason for this is that Cyberduck now creates a temporary new file instead of directly changing the original. Transmit does this, too, and it was the reason for dropping it in the past.

Have there been changes to the Cyberduck ftp engine that lead to this behavior? I remember that saving files to ZOPE's ftp server did work in the past.

Attachments (1)

log_cyberduck.txt (3.5 KB) - added by taenzerme on Dec 10, 2013 at 7:20:58 PM.

Download all attachments as: .zip

Change History (6)

Changed on Dec 10, 2013 at 7:20:58 PM by taenzerme

comment:1 Changed on Dec 10, 2013 at 7:24:11 PM by taenzerme

Update: I noticed this seems to have been added with 4.4 recently: "Safer edits. When editing files on the server, changes are now uploaded by default with a temporary name and moved only when the upload completes."

Thing is with ZOPE files contain meta data which object type a file is (method, page template, folder etc.). After doing a remote edit this data is lost and the file/object broken. The "safer edit" behavior makes it impossible to remote edit any ZOPE files over FTP/WebDAV (this relates to Plone for example).

comment:2 Changed on Dec 12, 2013 at 6:17:16 PM by dkocher

You can disable this by setting the hidden property editor.upload.temporary to false.

comment:3 Changed on Dec 12, 2013 at 6:17:31 PM by dkocher

  • Component changed from core to ftp
  • Milestone set to 4.5
  • Owner set to dkocher
  • Summary changed from Compability with ZOPE ftp broken to Interoperability with Zope

comment:4 Changed on Dec 12, 2013 at 6:31:04 PM by taenzerme

  • Resolution set to fixed
  • Status changed from new to closed

Perfect, thanks. .... aaand up and running again :-)

comment:5 Changed on Dec 28, 2013 at 10:00:03 PM by dkocher

  • Milestone changed from 4.5 to 4.4.4
Note: See TracTickets for help on using tickets.
swiss made software